QGIS Application - Bug report #16965

Projection configuration not properly migrated between QGIS 2.18x and 3.x

2017-08-03 12:42 PM - Andreas Neumann

Status: Closed

Priority: High

Assignee:

Category: Projection Support

Affected QGIS version:master Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 24864
Description

If one creates a project in 2.18.x that have a projection assigned (e.g. EPSG:2056) by loading a layer that has an assigned EPSG
information, and one loads the same project, the project loads with "no projection” - and a result symbology rules with scale, etc. can't be

properly evaluated.

Sample project with empty memory table attached.

Associated revisions

Revision b808c564 - 2017-08-06 09:41 PM - Nyall Dawson

When upgrading 2.x projects to 3.0, default to enabling a valid
project projection instead of defaulting to no CRS

Fixes #16965

History

#1 - 2017-08-06 11:07 PM - Nyall Dawson
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|b808c5647ac4f60d300dd2ee09beca5ea0430bbe.

Files

test_memory_layer_proj.qgs 10.2 KB 2017-08-03
